/**
 * Test case for create.
 * Runs with mocha.
 */
'use strict'

const create = require('../lib/create.js')
const co = require('co')
const apemanport = require('apemanport')
const assert = require('assert')
const apemanApp = require('apeman-app')
const apemanrequest = require('apemanrequest')

describe('create', () => {
  let server, port
  let request = apemanrequest.create()
  before(() => co(function * () {
    let app = create({})
    assert.ok(app)
    port = yield apemanport.find()
    server = yield apemanApp('testing-app', {
      configuration: {
        $apps: {
          'testing-app': {
            '/': [
              app,
              (req, res) => {
                res.json({
                  success: true
                })
              }
            ]
          }
        }
      },
      port: port
    })
  }))

  after(() => co(function * () {
    yield server.close()
  }))

  it('Create an app.', () => co(function * () {
    let res = yield request(`http://localhost:${port}/`)
    assert.equal(res.statusCode, 200)
    let {body} = res
    assert.ok(body)
    assert.ok(body.success)
  }))
})

/* global describe, it, before, after */
